/**
 * 
 */
package be.ac.ulb.code.wit.infoh509.tp2;

import java.io.FileInputStream;
import java.io.IOException;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;

import org.xml.sax.SAXException;

/**
 * @author Francois Picalausa
 *
 */
public class DTDValidate {
    public static void main(String[] args) throws SAXException, IOException {
        if (args.length != 1) {
        	System.out.println("DTDValidate <xml-document>");
        	return;
        }
    	
        DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
        factory.setValidating(true);
        DocumentBuilder builder;
		try {
			builder = factory.newDocumentBuilder();
	        builder.setErrorHandler(new ForgivingErrorHandler());        
	        builder.parse(new FileInputStream(args[0]));
		} catch (ParserConfigurationException e) {
			e.printStackTrace();
		}
	}
}